
import QuizInstructionsShow from '../index'

import overlayStyles from '../../../../../../../common/components/shared/overlay/styles.css'

describe('Quiz Instructions Show (Building)', () => {
  const InstructionsWithContext = withContext(QuizInstructionsShow)
  const testbed = createTestbed(InstructionsWithContext, {})

  shouldRenderComponent(
    testbed, {}, InstructionsWithContext
  )

  it('should show the overlay', () => {
    testbed.render()
    const overlayComponent = testbed.findChildrenByClass(
      overlayStyles.overlay
    )[0]

    expect(overlayComponent).to.not.be.undefined()
  })

  describe('a11y tests', () => {
    it('should meet a11y standards', (done) => {
      testbed.render()
      testbed.checkA11yStandards(done)
    })
  })
})
